﻿package  
{
	import flash.display.Bitmap;
	import flash.display.BitmapData;
	import flash.display.IBitmapDrawable;
	import flash.display.DisplayObject;
	import flash.display.Loader;
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.net.URLRequest;
	
	/**
	* ...
	* @author Carly Gooch
	*/
	public class LoadingAsset extends Sprite
	{
		private var imageLoader:Loader
		
		public function LoadingAsset() 
		{
			imageLoader = new Loader();
			imageLoader.load(new URLRequest("assets/eagle.jpg"));
			imageLoader.contentLoaderInfo.addEventListener(Event.COMPLETE, onLoaded);
		}
		
		private function onLoaded(e:Event):void 
		{
			this.addChild(duplicateImageAsSprite(imageLoader));
			
			var duplicateData:BitmapData = new BitmapData(imageLoader.width,imageLoader.height);
			duplicateData.draw(imageLoader);
			var duplicate:Bitmap = new Bitmap(duplicateData);
			duplicate.x = 100;
			duplicate.y = 100;
			this.addChild(duplicate);
		}
		
		public static function duplicateImageAsSprite( original :DisplayObject ) : Sprite {
			var bitmapData : BitmapData = new BitmapData(original.width, original.height, true, 0x000000);
			bitmapData.draw(original as IBitmapDrawable);

			var bitmap : Bitmap = new Bitmap(bitmapData);

			var returnSprite : Sprite = new Sprite();
			returnSprite.addChild(bitmap as DisplayObject);

			return returnSprite;
		}
		
		
	}
	
}