﻿package  
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.media.Sound;
	
	/**
	* ...
	* @author Carly Gooch
	*/
	public class SoundDemo extends Sprite
{
		private var freq:Number = 440;
		private var rate:Number = 44100;
		private var phase:Number = 0;
		private var sound:Sound;	
			
		public function SoundDemo() 
		{
			sound = new Sound();
			sound.addEventListener(Event.SAMPLES_CALLBACK, onSamplesCallback);
			sound.play();
			
		}

		private function onSamplesCallback(event:Event):void
		{
			for(var i:int = 0; i <512; i++)
			{
				phase += freq / rate;
				var phaseAngle:Number = phase * Math.PI * 2;
				var sample:Number = Math.sin(phaseAngle);
				sound.samplesCallbackData.writeFloat(sample);
				sound.samplesCallbackData.writeFloat(sample);
			}
		}
	}
	
}