﻿package  
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.TimerEvent;
	import flash.text.TextField;
	import flash.text.TextFormat;
	import flash.utils.Timer;
	
	/**
	* Compteur de FPS
	* @author Philippe
	*/
	public class FPS extends Sprite
	{
		private var frames:int = 0;
		private var timer:Timer;
		private var field:TextField;
		
		public function FPS() 
		{
			field = new TextField();
			field.defaultTextFormat = new TextFormat("_sans", 10);
			field.autoSize = "left";
			addChild(field);
			timer = new Timer(1000);
			timer.addEventListener(TimerEvent.TIMER, displayCount);
			addEventListener(Event.ENTER_FRAME, count);
			addEventListener(Event.ADDED_TO_STAGE, initTimer);
			addEventListener(Event.REMOVED_FROM_STAGE, stopTimer);
		}
		
		private function displayCount(e:TimerEvent):void 
		{
			field.text = "" + frames;
			frames = 0;
		}
		
		private function stopTimer(e:Event):void 
		{
			timer.stop();
		}
		
		private function initTimer(e:Event = null):void 
		{
			timer.start();
		}
		
		private function count(e:Event):void 
		{
			frames++;
		}
		
	}
	
}